ibase_fetch_assoc
ibase_fetch_row
Firebird/InterBase Functions
PHP Manual

# ibase_fetch_object

(PHP 4, PHP 5)

ibase_fetch_object — Get an object from a InterBase database

### Description

object ibase_fetch_object ( resource `$result_id` [, int `$fetch_flag` ] )

Fetches a row as a pseudo-object from a given result identifier.

Subsequent calls to ibase_fetch_object() return the next row in the result set.

### Parameters

`result_id`

  An InterBase result identifier obtained either by ibase_query() or ibase_execute().

`fetch_flag`

  `fetch_flag` is a combination of the constants `IBASE_TEXT` and `IBASE_UNIXTIME` ORed together. Passing `IBASE_TEXT` will cause this function to return BLOB contents instead of BLOB ids. Passing `IBASE_UNIXTIME` will cause this function to return date/time values as Unix timestamps instead of as formatted strings.

### Return Values

Returns an object with the next row information, or `FALSE` if there are no more rows.

### Examples

Example #1 ibase_fetch_object() example

`<?php
$dbh = ibase_connect($host, $username, $password);
$stmt = 'SELECT * FROM tblname';
$sth = ibase_query($dbh, $stmt);
while ($row = ibase_fetch_object($sth)) {
echo $row->email . "\n";
}
ibase_close($dbh);
?>`

### See Also

- ibase_fetch_row()
- ibase_fetch_assoc()

ibase_fetch_assoc
ibase_fetch_row
Firebird/InterBase Functions
PHP Manual